ELAN-TO-PRAAT Manual
by Holger Mitterer

Who should use these tools?
 
 Anybody who has annotated some data in ELAN and now wishes
 to make use of the acoustic analysis tools in PRAAT

How does it work?

 The process has three steps:
 
 - preperation in ELAN
   . export all annotation files in ELAN to tab-delimited text (extension *.txt)
   . all these text-file should be in a separate directory with their
     associated WAV files 
   . This directory MUST NOT contain any other *.txt files
   . the .WAV files and .TXT files MUST have the same name
   
   
 - Transformation of the ELAN export files using PERL
 
   . use the perl script elan_to_praat.pl (written to be used with the
     command prompt on a WINDOWS platform)
     with the directory with the TXT and WAV files as the only argument
     
     e.g.  C:\>  perl    elan_to_praat.pl   D:\experiments\text\toBeConverted
            ^     ^             ^                           ^
       command-  call       the script             the directory with the files          
         prompt  perl                              that need to be converted
     
 - Creating the textGrids in praat
   . open the script elan_to_praat.praat and RUN it 
   . fill in the same directory as above in the form
 
 
 