form Enter target directory
  word dir K:\sounds\elan_to_praat\
endform


#read the4 meta file
Read Strings from raw text file... 'dir$'files.strings
n = Get number of strings

#read in all files mentioned in the metafile
for i from 1 to n
  #get file name
  select Strings files
  table$ = Get string... 'i'
  #read table
  Read Table from tab-separated file... 'dir$''table$'
  ninterval = Get number of rows
  
  table$ = table$ - ".table"
  Read from file... 'dir$''table$'.wav
  #Create TextGrid
  To TextGrid... temp 


  #add unique tiers
  unique_tiers = 0
  for j from 1 to ninterval
     #current tier
     select Table 'table$'
     a$ = Get value... 'j' tier
     unique = 1
     #compare with all previous unique tiers
     for k from 1 to unique_tiers
        b$ = unique'k'$
        if a$ = b$
           unique = 0
        endif
     endfor
     if (unique)
     #not yet encountered, add to list of unique tiers
         unique_tiers = unique_tiers + 1
         unique'unique_tiers'$ = a$
         select TextGrid 'table$'
         if (unique_tiers < 2)
            Set tier name... 1 'a$'
         else
	    Insert interval tier... 'unique_tiers' 'a$'
         endif
     endif
  endfor 
  #add intervals
  for j from 1 to ninterval
     #current tier
     select Table 'table$'
     a$ = Get value... 'j' tier
     starts = Get value... 'j' start2
     ends = Get value... 'j' end2
     label$ = Get value... 'j' text
     select TextGrid 'table$'
     for k from 1 to 'unique_tiers'
        c$ = Get tier name... 'k'
          if (c$ = a$)
             c = 'k'
          endif
     endfor
         Insert boundary... 'c' 'starts'
         Insert boundary... 'c' 'ends'
         m = Get number of intervals... 'c'
         m = m - 1
         Set interval text... 'c' 'm' 'label$'
   endfor  
   Write to text file... 'dir$''table$'.TextGrid
endfor
